# problem
flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Transport 1D-2D, (convection, dual porosity, sorption)
  mesh:
    mesh_file: ../00_mesh/square_1x1_frac_fork.msh
    regions:
      - !Union
        name: 1d_domain
        regions:
          - 1d_upper
          - 1d_lower
          - 1d_left_branch
  flow_equation: !Flow_Darcy_MH
    output_specific:
    input_fields:
      - region: 1d_domain
        conductivity: 10
        sigma: 0.05
      - region: 2d
        conductivity: 1
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: x+y
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
        - conductivity
        - anisotropy
    balance: {}
    nonlinear_solver: 
        linear_solver: !Petsc
            a_tol: 1.0e-12
            r_tol: 1.0e-12
  # primary equation
    output_stream:
      file: flow.pvd
      format: !vtk
        variant: binary
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - region: ALL
          init_conc: 0
          porosity: 0.25
        - region: .BOUNDARY
          bc_conc: 1.0
      output:
        fields:
          - conc
    substances:
      - age
      - U235
    reaction_term: !DualPorosity
      input_fields:
        - region: ALL
          diffusion_rate_immobile:
            - 0.01
            - 0.01
          porosity_immobile: 0.25
          init_conc_immobile:
            - 0.0
            - 0.0
      reaction_mobile: !SorptionMobile
        solvent_density: 1.0
        substances:
          - age
          - U235
        solubility:
          - 1.0
          - 1.0
        input_fields: &anchor1
          - region: ALL
            rock_density: 1.0
            sorption_type:
              - linear
              - freundlich
            isotherm_mult: 0.02
            isotherm_other:
              - 0
              - 0.5
        output:
          fields:
            - sorption_type
            - isotherm_mult
            - isotherm_other
            - init_conc_solid
            - conc_solid
      reaction_immobile: !SorptionImmobile
        solvent_density: 1.0
        substances:
          - age
          - U235
        solubility:
          - 1.0
          - 1.0
        input_fields: *anchor1
        output:
          fields:
            - sorption_type
            - isotherm_mult
            - isotherm_other
            - init_conc_solid
            - conc_immobile_solid
      output:
        fields:
          - diffusion_rate_immobile
          - init_conc_immobile
          - conc_immobile
    output_stream:
      file: transport.pvd
      format: !vtk
        variant: binary
      times:
        - step: 0.1
    time:
      end_time: 1.0
    balance:
      cumulative: true
  # solute_equation
# problem